#!/bin/bash
set -e

if [ "$1" = 'start' ]; then
    if [ ! -f ~/.bashrc ]; then
        if [ -z "$AVI_CONTROLLER" ] || [ -z "$SLACK_BOT_TOKEN" ]; then
	    read -p "Enter Avi controller IP/FQDN: " controller
	    read -p "Enter Avi username: " username
	    read -sp "Enter Avi password: " password
	    echo -e "\n"
	    read -p "Enter Avi tenant (default: admin): " tenant
	    read -p "Enter Avi API version (default: 17.2.7): " api_version
	    read -p "Enter Slack Client token: " slack_token
	    echo "export SLACK_BOT_TOKEN=$slack_token" >> ~/.bashrc
	    echo "export AVI_CONTROLLER=$controller" >> ~/.bashrc
	    echo "export AVI_USERNAME=$username" >> ~/.bashrc
	    echo "export AVI_PASSWORD=$password" >> ~/.bashrc
	    echo "export AVI_TENANT=$tenant" >> ~/.bashrc
	    echo "export AVI_API_VERSION=$api_version" >> ~/.bashrc
	    read -p "Start AviBot now? ([y]/n)? " start_yn
	    if [ $start_yn = "y" ]; then
	        source ~/.bashrc
	        python3 avi_slackbot.py
	    fi
        else
	    python3 avi_slackbot.py
	fi
    elif [ -f ~/.bashrc ]; then
	source ~/.bashrc
        python3 avi_slackbot.py
    fi
fi

exec "$@"
